<?php

namespace App\Generated\V1\Messages\Im;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;
use App\Generated\V1\DTOs\TimMessageDTO;

class MarkUserMessagesReadMessage extends Message
{
    use ValueHelper;

    protected $message;

    /**
     * @return TimMessageDTO
     */
    public function getMessage()
    {
        return $this->message;
    }

    public function requestRules()
    {
        return [
            ['message', 'message', TimMessageDTO::class, Constants::MODEL, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
